Source: openrc
Section: init-diversity
Priority: optional
Maintainer: ProwlerGr <Prowler73@gmail.com>, OpenRC Debian Maintainers <openrc@packages.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Mark Hindley <leepen@debian.org>,
           Benda Xu <heroxbd@gentoo.org>,
           Mo Zhou <cdluminate@gmail.com>,
Build-Depends: dpkg-dev, debhelper-compat (= 13),
               dh-exec,
               libaudit-dev [linux-any],
	       libcap-dev,
               libpam0g-dev [linux-any],
               libselinux1-dev [linux-any],
               meson,
               pkg-config,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/openrc/openrc
Vcs-Git: https://salsa.debian.org/debian/openrc.git
Vcs-Browser: https://salsa.debian.org/debian/openrc

Package: openrc
Architecture: any
Depends: insserv,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: policycoreutils [linux-any],
          sysvinit-core,
Multi-Arch: foreign
Description: dependency based service manager (runlevel change mechanism)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runlevel change mechanism.
 
Package: openrc-init-diversity
Architecture: any
Depends: insserv,
         openrc (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: policycoreutils [linux-any],
          sysvinit-core,
          init-diversity-tools,
Breaks: lib-openrc-init,
Replaces: lib-openrc-init,
Multi-Arch: foreign
Description: dependency based service manager (runlevel change mechanism)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runlevel change mechanism for multi-init systems.

Package: librc1t64
Provides: ${t64:Provides}
Replaces: librc1
Conflicts: librc1 (<< ${source:Version})
Architecture: any
Section: init-diversity
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dependency based service manager (runtime library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides the runtime library.

Package: librc-dev
Architecture: any
Section: init-diversity
Depends: librc1t64 (=${binary:Version}),
         ${misc:Depends},
Description: dependency based service manager (runtime development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides development files for the runtime library.

Package: libeinfo1
Provides: libeinfo1t64
Replaces: libeinfo1t64
Breaks: libeinfo1t64 (<< ${source:Version})
Architecture: any
Section: init-diversity
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: dependency based service manager (pretty console display library)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a runtime library that supports displaying messages on
 the console.

Package: libeinfo-dev
Architecture: any
Section: init-diversity
Depends: libeinfo1 (=${binary:Version}),
         ${misc:Depends},
Multi-Arch: same
Description: dependency based service manager (pretty console display development)
 OpenRC is a dependency based service manager. It provides support for System V
 init, for booting, changing runlevels, starting and stopping services, and
 shutting down.
 .
 Originally written as a Gentoo project, OpenRC aims at being
 platform-agnostic.  It works equally well on Linux, BSD and Hurd.
 It supports the traditional init system in Debian in addition to many
 alternatives.  OpenRC is implemented in C in a small, simple and
 efficient way, making it easy to understand, extend and reuse.
 .
 This package provides a development library that supports displaying messages
 on the console.
